%global short_name      commons-parent

Name:             apache-%{short_name}
Version:          39
Release:          %mkrel 4
Summary:          Apache Commons Parent Pom
Group:            Development/Java
License:          ASL 2.0
URL:              http://svn.apache.org/repos/asf/commons/proper/%{short_name}/tags/%{short_name}-%{version}/

# svn export http://svn.apache.org/repos/asf/commons/proper/commons-parent/tags/commons-parent-34
# tar caf commons-parent-34.tar.xz commons-parent-34
Source0:          %{short_name}-%{version}.tar.xz

BuildArch:        noarch

BuildRequires:    maven-local
BuildRequires:    mvn(org.apache:apache:pom:)
BuildRequires:    mvn(org.apache.felix:maven-bundle-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-antrun-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires:    mvn(org.apache.maven.plugins:maven-enforcer-plugin)
BuildRequires:    mvn(org.apache.rat:apache-rat-plugin)
BuildRequires:    mvn(org.codehaus.mojo:buildnumber-maven-plugin)
Requires:         mvn(org.codehaus.mojo:buildnumber-maven-plugin)

%description
The Project Object Model files for the apache-commons packages.

%prep
%setup -q -n %{short_name}-%{version}

# Plugin is not in fedora
%pom_remove_plugin org.apache.commons:commons-build-plugin
%pom_remove_plugin org.apache.maven.plugins:maven-scm-publish-plugin

%pom_remove_plugin :maven-site-plugin

%pom_xpath_remove "pom:profile[pom:id='animal-sniffer']"

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE.txt NOTICE.txt RELEASE-NOTES.txt




%changelog
* Wed May 17 2017 neoclust <neoclust> 39-4.mga6
+ Revision: 1102563
- Rebuild against new apache-parent

* Wed Mar 02 2016 neoclust <neoclust> 39-3.mga6
+ Revision: 982486
- Second rebuild of the java stack

* Sun Feb 21 2016 neoclust <neoclust> 39-2.mga6
+ Revision: 975425
- First rebuild of the java stack

* Sat Dec 19 2015 zezinho <zezinho> 39-1.mga6
+ Revision: 912250
- new version 39

* Thu Dec 25 2014 pterjan <pterjan> 34-5.mga5
+ Revision: 805562
- Clean rebuild
- Sync with Fedora 21

  + dmorgan <dmorgan>
    - Restore from Obsolete

  + sander85 <sander85>
    - Depends on broken java stack

* Wed Oct 15 2014 umeabot <umeabot> 32-4.mga5
+ Revision: 749592
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 32-3.mga5
+ Revision: 677821
- Mageia 5 Mass Rebuild
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 dmorgan <dmorgan> 32-1.mga4
+ Revision: 489000
- New version
- New version

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Apr 27 2011 dmorgan <dmorgan> 20-2.mga3
+ Revision: 92245
- Rebuild after bootstrapping
- imported package apache-commons-parent


* Fri Apr 15 2011 Chris Spike <spike@fedoraproject.org> 20-1
- Updated to 20
- Fixed Rs for maven 3

* Sat Nov 6 2010 Chris Spike <spike@fedoraproject.org> 15-2
- Added patch to remove commons-build-plugin from pom file

* Wed Oct 20 2010 Chris Spike <spike@fedoraproject.org> 15-1
- Initial version of the package
